Download it now!
Bug 116925 - Automatic text color in textbox does not consider fill style of shape
Summary: Automatic text color in textbox does not consider fill style of shape
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.4 target:5.4....
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-10 15:13 UTC by Miklos Vajna
Modified: 2018-05-07 13:26 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Reproducer document. (13.16 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-04-10 15:13 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2018-04-10 15:13:03 UTC
Created attachment 141265 [details]
Reproducer document.

Steps to reproduce:

1) Open attached Writer document.
2) Observe the text color of "hello" inside the rectangle.

Expected behavior: text is white (as in Word).

Actual behavior: text is black.
Comment 1 Commit Notification 2018-04-10 18:16:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f966767e1ccfa432da33e1a0fd6de69e17a36bc3

tdf#116925 sw: consider fill styles of shape for in-textbox auto color

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2018-04-13 08:47:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ed2e2e74d86cc2c9c3e1fe18f5ab160c89d3a44&h=libreoffice-6-0

tdf#116925 sw: consider fill styles of shape for in-textbox auto color

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-04-30 09:57:24 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e0b21e416470d826f6f27d463ba2e42bee5222d&h=libreoffice-5-4

tdf#116925 sw: consider fill styles of shape for in-textbox auto color

It will be available in 5.4.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-05-07 13:26:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75967a849ceae371b4548178ec74e461f9e1aa70&h=libreoffice-5-4-7

tdf#116925 sw: consider fill styles of shape for in-textbox auto color

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.